Bug 1393530 - "Shutdown Guest" is available from Vm Details menu from "off" state
Summary: "Shutdown Guest" is available from Vm Details menu from "off" state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: James Wong
QA Contact: Leo Khomenko
URL:
Whiteboard: vsphere:ui:power
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 18:45 UTC by Leo Khomenko
Modified: 2017-05-31 14:40 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:40:04 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:
lkhomenk: automate_bug+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Leo Khomenko 2016-11-09 18:45:22 UTC
Description of problem:"Shutdown Guest" is available from Vm Details menu from "off" state if 
Platform Tools = toolsNotInstalled


Version-Release number of selected component (if applicable):5.7.0.9


How reproducible:always


Steps to Reproduce:
1.add VC provider
2.open Details menu of VM in "off" state (vm should be without tools)

Actual results:available options - "shutdown guest" / "power on"


Expected results:"power on" should be the only available option


Additional info:if Platform Tools= toolsOK / toolsNotRunning - we can see only Power On

Should we see GuestOS power operations if we don't have pre-installed VM tools?

Comment 5 CFME Bot 2016-12-19 18:10:58 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/05b905b433a5ebbd055f0b39eed179c3f65b0816

commit 05b905b433a5ebbd055f0b39eed179c3f65b0816
Author:     James Wong <jwong@redhat.com>
AuthorDate: Mon Dec 12 16:55:07 2016 -0500
Commit:     James Wong <jwong@redhat.com>
CommitDate: Thu Dec 15 11:21:19 2016 -0500

    Fix supports_shutdown_guest bug and added specs
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1393530

 .../vmware/infra_manager/vm/operations/guest.rb    |  8 +--
 .../providers/vmware/infra_manager/vm_spec.rb      | 58 ++++++++++++++++------
 2 files changed, 49 insertions(+), 17 deletions(-)

Comment 6 Leo Khomenko 2017-03-01 20:32:39 UTC
on 5.8.0.2

Comment 8 errata-xmlrpc 2017-05-31 14:40:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.